Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.soap
Class QueryServiceLocator

    java.lang.Object
      org.apache.axis.client.Service
          org.exist.soap.QueryServiceLocator

All Implemented Interfaces:
  QueryService, javax.naming.Referenceable, java.io.Serializable, javax.xml.rpc.Service

public class QueryServiceLocator
extends org.apache.axis.client.Service
implements QueryService

See Also:
  Serialized Form

Constructor Summary
`QueryServiceLocator()`
`QueryServiceLocator(org.apache.axis.EngineConfiguration config)`
`QueryServiceLocator(java.lang.String wsdlLoc, javax.xml.namespace.QName sName)`

Method Summary
`java.rmi.Remote` | `getPort(java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.rmi.Remote` | `getPort(javax.xml.namespace.QName portName, java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.util.Iterator` | `getPorts()`
`Query` | `getQuery()`
`Query` | `getQuery(java.net.URL portAddress)`
`java.lang.String` | `getQueryAddress()`
`java.lang.String` | `getQueryWSDDServiceName()`
`javax.xml.namespace.QName` | `getServiceName()`
`void` | `setEndpointAddress(javax.xml.namespace.QName portName, java.lang.String address)` Set the endpoint address for the specified port name.
`void` | `setEndpointAddress(java.lang.String portName, java.lang.String address)` Set the endpoint address for the specified port name.
`void` | `setQueryEndpointAddress(java.lang.String address)`
`void` | `setQueryWSDDServiceName(java.lang.String name)`

Methods inherited from class org.apache.axis.client.Service
`createCall, createCall, createCall, createCall, getCacheWSDL, getCall, getCalls, getEngine, getHandlerRegistry, getMaintainSession, getPort, getReference, getTypeMappingRegistry, getWSDLDocumentLocation, getWSDLParser, setCacheWSDL, setEngine, setEngineConfiguration, setMaintainSession, setTypeMappingRegistry, setTypeMappingVersion`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.rpc.Service
`createCall, createCall, createCall, createCall, getCalls, getHandlerRegistry, getTypeMappingRegistry, getWSDLDocumentLocation`

Constructor Detail

### QueryServiceLocator

    public QueryServiceLocator()

### QueryServiceLocator

    public QueryServiceLocator(org.apache.axis.EngineConfiguration config)

### QueryServiceLocator

    public QueryServiceLocator(java.lang.String wsdlLoc,
                               javax.xml.namespace.QName sName)
                        throws javax.xml.rpc.ServiceException

Method Detail

### getQueryAddress

    public java.lang.String getQueryAddress()

  Specified by:
    `getQueryAddress` in interface `QueryService`

### getQueryWSDDServiceName

    public java.lang.String getQueryWSDDServiceName()

### setQueryWSDDServiceName

    public void setQueryWSDDServiceName(java.lang.String name)

### getQuery

    public Query getQuery()
                   throws javax.xml.rpc.ServiceException

  Specified by:
    `getQuery` in interface `QueryService`
  Throws:
    `javax.xml.rpc.ServiceException`

### getQuery

    public Query getQuery(java.net.URL portAddress)
                   throws javax.xml.rpc.ServiceException

  Specified by:
    `getQuery` in interface `QueryService`
  Throws:
    `javax.xml.rpc.ServiceException`

### setQueryEndpointAddress

    public void setQueryEndpointAddress(java.lang.String address)

### getPort

    public java.rmi.Remote getPort(java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getPort

    public java.rmi.Remote getPort(javax.xml.namespace.QName portName,
                                   java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getServiceName

    public javax.xml.namespace.QName getServiceName()

  Specified by:
    `getServiceName` in interface `javax.xml.rpc.Service`

### getPorts

    public java.util.Iterator getPorts()

  Specified by:
    `getPorts` in interface `javax.xml.rpc.Service`

### setEndpointAddress

    public void setEndpointAddress(java.lang.String portName,
                                   java.lang.String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

### setEndpointAddress

    public void setEndpointAddress(javax.xml.namespace.QName portName,
                                   java.lang.String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.